#ifndef __KINGATE_UTIL_H
#define __KINGATE_UTIL_H

#include <string>

namespace kingate {
    using namespace std;

    /**
     * Escape string for passing via URL.
     * @param str string unescaped.
     * @return the escaped string.
     */
    string url_escape(const string& str);
    /**
     * Remove URL-encoding from the string.
     * @param str the URL-encoded string.
     * @return the unescaped string.
     */
    string url_unescape(const string& str);
}

#endif /* __KINGATE_UTIL_H */
/*
 * vim:set ft=cpp:
 */
